%define name_plugin	%{name}_plugin

%define pilot_link_version 0.12.5

Summary:	Palm Pilot desktop for Linux
Name:		jpilot
Version:	1.8.2
Release:	%mkrel 9
License:	GPLv2
Group:		Communications/Mobile
URL:		http://www.jpilot.org/
Source0:	http://jpilot.org/%{name}-%{version}.tar.gz
Patch0:		jpilot-1.8.2-git-multiple-defs.patch
Requires:	pilot-link >= %{pilot_link_version}
Requires:	jpilot-expense
Requires:	jpilot-keyring
Requires:	jpilot-synctime
BuildRequires:	imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(pilot-link) >= %{pilot_link_version}
BuildRequires:	readline-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	intltool

%description
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributes for a well known rampant legacy operating system.

%package	expense
Summary:	The expense plugin for jpilot
Group:		Communications/Mobile
Obsoletes:	%{mklibname jpilot_plugin 0} < %{version}-%{release}

%description	expense
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributes for a well known rampant legacy operating system.

This package contains the expense plugin for jpilot.

%package	keyring
Summary:	The keyring plugin for jpilot
Group:		Communications/Mobile
Obsoletes:	%{mklibname jpilot_plugin 0} < %{version}-%{release}

%description	keyring
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributes for a well known rampant legacy operating system.

This package contains the keyring plugin for jpilot.

%package	synctime
Summary:	The synctime plugin for jpilot
Group:		Communications/Mobile
Obsoletes:	%{mklibname jpilot_plugin 0} < %{version}-%{release}

%description	synctime
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributes for a well known rampant legacy operating system.

This package contains the synctime plugin for jpilot.

%package	devel
Summary:	Header file needed for jpilot plugin development
Group:		Development/C
Provides:	%{name_plugin}-devel = %{version}
Obsoletes:	%{mklibname jpilot_plugin 0 -d} < %{version}-%{release}
Obsoletes:	%{mklibname jpilot_plugin -d} < %{version}-%{release}

%description	devel
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that 
3Com distributes for a well known rampant legacy operating system.

The header files required for plugin development.

%prep
%autosetup -p1

%build
export ABILIB="%_lib"
%configure
%make_build

%install
%make_install

# copy empty/*.pdb in %{_datadir}/jpilot/
mkdir -p %{buildroot}%{_datadir}/jpilot
cp empty/*.pdb %{buildroot}%{_datadir}/jpilot/

# copy jpilotrc.* in %{_datadir}/jpilot/
cp jpilotrc.* %{buildroot}%{_datadir}/jpilot/

# clean documentation done by makefile itself.
rm -rf %{buildroot}/usr/doc

mkdir -p %{buildroot}/%{_includedir}
install -m 644 {libplugin,prefs}.h %{buildroot}%{_includedir}/

# use builtin icons and ImageMagick to do the conversion.
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -resize 16x16 icons/jpilot-icon1.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -resize 32x32 icons/jpilot-icon1.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -resize 48x48 icons/jpilot-icon1.xpm %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

# cleanup
rm -f %{buildroot}/%{_libdir}/%{name}/plugins/*.la

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog README TODO COPYING INSTALL
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/icons
%{_bindir}/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins

%files expense
%{_libdir}/%{name}/plugins/libexpense.so

%files keyring
%{_libdir}/%{name}/plugins/libkeyring.so

%files synctime
%{_libdir}/%{name}/plugins/libsynctime.so

%files devel
%doc docs/plugin.html
%{_includedir}/*.h




%changelog
* Sun May 24 2020 danf <danf> 1.8.2-9.mga8
+ Revision: 1587308
- Fix multiple definitions error with gcc 10

* Thu Feb 13 2020 umeabot <umeabot> 1.8.2-8.mga8
+ Revision: 1513685
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-7.mga7
+ Revision: 1298391
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 1.8.2-6.mga7
+ Revision: 1152115
- build with libgcrypt instead of openssl

* Thu Feb 11 2016 umeabot <umeabot> 1.8.2-5.mga6
+ Revision: 954697
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 danf <danf> 1.8.2-4.mga6
+ Revision: 893080
- Fixed build with new rpm by packaging all docs

* Wed Oct 15 2014 umeabot <umeabot> 1.8.2-3.mga5
+ Revision: 739358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 680857
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 zezinho <zezinho> 1.8.2-1.mga5
+ Revision: 667214
- new version
- remove old patches

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-4.mga4
+ Revision: 506439
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.8.1-3.mga3
+ Revision: 355562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 1.8.1-2.mga3
+ Revision: 302549
- update RPM group

* Sun Nov 20 2011 zezinho <zezinho> 1.8.1-1.mga2
+ Revision: 170124
- imported package jpilot

